package de.boriswach.example.localization;

import net.rim.device.api.i18n.ResourceBundle;
import net.rim.device.api.ui.component.LabelField;
import net.rim.device.api.ui.container.MainScreen;

/**
 * A class extending the MainScreen class, which provides default standard
 * behavior for BlackBerry GUI applications.
 */
public final class Localization extends MainScreen implements LocalizationExampleResource {
	/**
	 * Creates a new Localization object
	 */
	public Localization() {
		ResourceBundle _resources = ResourceBundle.getBundle(BUNDLE_ID, BUNDLE_NAME);
		String textForTitle  = _resources.getString(FIELD_WINDOWTITLE);
		String textToDisplay = _resources.getString(FIELD_LABELTEXT);

		// Set the displayed title of the screen
		setTitle(textForTitle);
		// Add LabelField to the screen
		add(new LabelField(textToDisplay));
	}
}
